Page MenuHomePhabricator

Evaluate the effectiveness of the current Visual Editor user interface
Closed, ResolvedPublic

Description

Planning Document:

Google Doc


Background:

Before diving into any edits, tweaks or redesigns for the visual editor, we need to know what is currently working in the web editing experience and where there is room for improvement.

Methodology:

A heuristic evaluation is a design method (referred to in all related Phabricator tasks as "expert review" with the hope of reducing confusion over design jargon) that will give us an opportunity to methodically review the usability of key touchpoints. This review will focus on the mobile editing experience for Wikipedia editors using the visual editor.

Goals of Study:

  1. Identify what works well in the current mobile visual editor experience
  2. Identify opportunities for usability improvements to core tasks of mobile web editing.
  3. Set the stage for prototyping of new ideas.

Notes:


To do before study can begin:

  • Identify what principles we will be evaluating T201549
  • Recruit 1- 3 additional evaluators T201550
  • Write script for evaluators to follow T202645
  • Write and share evaluator guide

To do when running the study:

  • Send out tests to evaluators

To do after study:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2018, 7:32 PM
iamjessklein updated the task description. (Show Details)Aug 8 2018, 8:02 PM
iamjessklein updated the task description. (Show Details)Aug 8 2018, 8:15 PM
iamjessklein updated the task description. (Show Details)Aug 8 2018, 8:26 PM
iamjessklein updated the task description. (Show Details)Aug 8 2018, 8:31 PM
iamjessklein added subscribers: dchen, aripstra.
iamjessklein updated the task description. (Show Details)Aug 9 2018, 12:24 AM
Cirdan added a subscriber: Cirdan.Aug 9 2018, 2:20 PM
iamjessklein updated the task description. (Show Details)Aug 14 2018, 7:14 PM

I'm going to update this task because I realize that there are a few more tasks that I need to complete before running the test:

  • write script for evaluators to follow
  • write guide for evaluators and share
iamjessklein updated the task description. (Show Details)Aug 16 2018, 7:07 PM
Deskana moved this task from To Triage to Research on the VisualEditor board.Aug 28 2018, 3:05 PM
Deskana triaged this task as Medium priority.Aug 29 2018, 9:23 AM
iamjessklein edited projects, added VisualEditor (Current work); removed VisualEditor.
iamjessklein moved this task from Incoming to In progress on the VisualEditor (Current work) board.
iamjessklein updated the task description. (Show Details)Sep 4 2018, 8:21 PM
iamjessklein updated the task description. (Show Details)

We will be running the study this week. The following expert reviewers should expect to receive the link sent to them via email:

Thank you for taking the time to do this for study.

cc/ @Arrbee

iamjessklein updated the task description. (Show Details)Sep 4 2018, 9:59 PM
iamjessklein updated the task description. (Show Details)

I recorded the test as I did it on my phone for the purposes of documentation.

RHo added a comment.Sep 6 2018, 6:21 PM

Nice one @iamjessklein – btw I plan to use an app called DU Recorder when I do the test.

Recommended for those testing on iOS or Android devices as it can record voice and phone gestures, even turn on the front camera to capture a user's reactions (though I will not be using that feature :))

Thanks @RHo ! I'll try this app next time around. Your vid was very helpful.

iamjessklein updated the task description. (Show Details)Sep 24 2018, 5:55 PM
iamjessklein updated the task description. (Show Details)Sep 27 2018, 3:16 PM
iamjessklein updated the task description. (Show Details)Oct 17 2018, 1:43 PM

The shareouts are scheduled for this week. Since this is a planning ticket, I'm going to close it. We've completed all of the tasks.

iamjessklein closed this task as Resolved.Oct 17 2018, 1:44 PM